#ifndef FFT4096INT32_H_
#define FFT4096INT32_H_

#include "ucps2.h"

MPU_ENTRY void Fft4096Int32Asm(v16s32 SvrReg);
void Fft4096Int32(
	int Config,
	int numSym,
	int Scale,
	int *ShiftFactor,
	int in_WnAddr,
	int io_Addr0,
	int io_Addr1,
	int io_Addr2,
	int io_Addr3,
	int out_ScaleAddr0,
	int out_ScaleAddr1
);

#endif /* FFT4096INT32_H_ */
